function buscarTpuesto(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formTpuesto.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busTpuestos/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblTpuesto");
      jsonJS.tpuesto.forEach(function(i){
        addRowTpuesto(i.tpu_cod, i.tpu_nom);
      });

      $("#tblTpuesto tbody tr").dblclick(function() {
        selectTpuesto(a, $(this));
      });

      $("#tblTpuesto tbody #btnSelecTpuesto").click(function() {
        selectTpuesto(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowTpuesto(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecTpuesto'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblTpuesto tbody").append(markup);
}

function selectTpuesto(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblTpuesto");
}